Enlaces
GET https://0o0.online/api/links/
curl --request GET \
--url 'https://0o0.online/api/links/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://0o0.online/api/links/' \
--header 'Authorization: Bearer {api_key}' \
| Parámetros | Detalles | Descripción |
|---|---|---|
| search | Opcional Cuerpo | La línea de búsqueda. |
| search_by | Opcional Cuerpo | ¿Qué campo está buscando? los valores permitidos son: url, location_url. |
| is_enabled | Opcional Boolean | |
| project_id | Opcional Entierros | |
| type | Opcional Cuerpo |
biolink, link, file, vcard, event, static |
| datetime_field | Opcional Cuerpo | Los valores permitidos: datetime, last_datetime |
| datetime_start | Opcional Cuerpo | filtrar los resultados que comienzan a partir de esta fecha. Y-m-d H:i:s El formato. |
| datetime_end | Opcional Cuerpo | Filtra los resultados hasta esta fecha. Y-m-d H:i:s El formato. |
| order_by | Opcional Cuerpo | ¿Qué campo para ordenar los resultados por. Los valores permitidos son: link_id, datetime, last_datetime, clicks, url. |
| order_type | Opcional Cuerpo | Los valores permitidos son los siguientes: ASC para el ascenso de la orden, y DESC para la descendencia de los pedidos. |
| page | Opcional Entierros | El número de página que deseas resultados de. defectos a 1. |
| results_per_page | Opcional Entierros | ¿Cuántos resultados quieres por página? los valores permitidos son: 10, 25, 50, 100, 250, 500, 1000. Los defectos de 25. |
{
"data": [
{
"id": 1,
"project_id": null,
"domain_id": 0,
"type": "link",
"url": "example",
"location_url": "https://example.com/",
"settings": {
"password": null,
"sensitive_content": false
},
"clicks": 10,
"order": 0,
"start_date": null,
"end_date": null,
"datetime": "2026-10-16 01:37:21",
}
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://0o0.online/api/links?page=1",
"last": "https://0o0.online/api/links?page=1",
"next": null,
"prev": null,
"self": "https://0o0.online/api/links?page=1"
}
}
GET https://0o0.online/api/links/{link_id}
curl --request GET \
--url 'https://0o0.online/api/links/{link_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://0o0.online/api/links/{link_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"project_id": null,
"domain_id": 0,
"type": "link",
"url": "example",
"location_url": "https://example.com/",
"settings": {
"password": null,
"sensitive_content": false
},
"clicks": 10,
"order": 0,
"start_date": null,
"end_date": null,
"datetime": "2026-10-16 01:37:21",
}
}
POST https://0o0.online/api/links
| Parámetros | Detalles | Descripción |
|---|---|---|
| type | Opcional Cuerpo | link |
| location_url | Obligatorio Cuerpo | El URL del destino.Disponible cuando: is_bulk = 0 |
| location_urls | Obligatorio Cuerpo | El URL del destino.Disponible cuando: is_bulk = 1 |
| url | Opcional Cuerpo | El URL El enlace generado. dejar vacío para un generado aleatoriamente.Disponible cuando: is_bulk = 0 |
| is_bulk | Opcional Boolean | |
| domain_id | Opcional Entierros | - |
| project_id | Opcional Entierros | - |
| pixels_ids | Opcional Array Entierros | - |
| email_reports | Opcional Array | Notificaciones de tráfico IDs |
| schedule | Opcional Boolean | - |
| start_date | Opcional Cuerpo | Disponible cuando: schedule = true |
| end_date | Opcional Cuerpo | Disponible cuando: schedule = true |
| clicks_limit | Opcional Entierros | - |
| expiration_url | Opcional Cuerpo | - |
| sensitive_content | Opcional Boolean | - |
| http_status_code | Opcional Entierros | Los valores permitidos: 301, 302, 307, 308 |
| app_linking_is_enabled | Opcional Boolean | - |
| cloaking_is_enabled | Opcional Boolean | - |
| cloaking_title | Opcional Cuerpo | - |
| cloaking_meta_description | Opcional Cuerpo | - |
| cloaking_custom_js | Opcional Cuerpo | - |
| cloaking_favicon | Opcional Archivo | - |
| cloaking_opengraph | Opcional Archivo | - |
| password | Opcional Cuerpo | - |
| forward_query_parameters_is_enabled | Opcional Boolean | - |
| seo_block | Opcional Boolean | - |
| utm_source | Opcional Cuerpo | - |
| utm_medium | Opcional Cuerpo | - |
| utm_campaign | Opcional Cuerpo | - |
| targeting_type | Opcional Cuerpo | continent_code, country_code, device_type, browser_language, rotation, os_name, browser_name |
| targeting_continent_code_key[index] | Opcional Cuerpo | Disponible cuando: targeting_type = continent_code |
| targeting_continent_code_value[index] | Opcional Cuerpo | Disponible cuando: targeting_type = continent_code |
| targeting_country_code_key[index] | Opcional Cuerpo | Disponible cuando: targeting_type = country_code |
| targeting_country_code_value[index] | Opcional Cuerpo | Disponible cuando: targeting_type = country_code |
| targeting_city_name_key[index] | Opcional Cuerpo | Disponible cuando: targeting_type = city_name |
| targeting_city_name_value[index] | Opcional Cuerpo | Disponible cuando: targeting_type = city_name |
| targeting_device_type_key[index] | Opcional Cuerpo | Disponible cuando: targeting_type = device_type |
| targeting_device_type_value[index] | Opcional Cuerpo | Disponible cuando: targeting_type = device_type |
| targeting_browser_language_key[index] | Opcional Cuerpo | Disponible cuando: targeting_type = browser_language |
| targeting_browser_language_value[index] | Opcional Cuerpo | Disponible cuando: targeting_type = browser_language |
| targeting_rotation_key[index] | Opcional Cuerpo | Disponible cuando: targeting_type = rotation |
| targeting_rotation_value[index] | Opcional Cuerpo | Disponible cuando: targeting_type = rotation |
| targeting_os_name_key[index] | Opcional Cuerpo | Disponible cuando: targeting_type = os_name |
| targeting_os_name_value[index] | Opcional Cuerpo | Disponible cuando: targeting_type = os_name |
| targeting_browser_name_key[index] | Opcional Cuerpo | Disponible cuando: targeting_type = browser_name |
| targeting_browser_name_value[index] | Opcional Cuerpo | Disponible cuando: targeting_type = browser_name |
curl --request POST \
--url 'https://0o0.online/api/links' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'url=example' \
--form 'location_url=https://0o0.online/' \
--url 'https://0o0.online/api/links' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'url=example' \
--form 'location_url=https://0o0.online/' \
{
"data": {
"id": 1
}
}
POST https://0o0.online/api/links/{link_id}
| Parámetros | Detalles | Descripción |
|---|---|---|
| location_url | Opcional Cuerpo | El URL del destino. |
| url | Opcional Cuerpo | El URL El enlace generado. dejar vacío para un generado aleatoriamente. |
| domain_id | Opcional Entierros | - |
| project_id | Opcional Entierros | - |
| pixels_ids | Opcional Array Entierros | - |
| email_reports | Opcional Array | Notificaciones de tráfico IDs |
| schedule | Opcional Boolean | - |
| start_date | Opcional Cuerpo | Disponible cuando: schedule = true |
| end_date | Opcional Cuerpo | Disponible cuando: schedule = true |
| clicks_limit | Opcional Entierros | - |
| expiration_url | Opcional Cuerpo | - |
| sensitive_content | Opcional Boolean | - |
| http_status_code | Opcional Entierros | Los valores permitidos: 301, 302, 307, 308 |
| app_linking_is_enabled | Opcional Boolean | - |
| cloaking_is_enabled | Opcional Boolean | - |
| cloaking_title | Opcional Cuerpo | - |
| cloaking_meta_description | Opcional Cuerpo | - |
| cloaking_custom_js | Opcional Cuerpo | - |
| cloaking_favicon | Opcional Archivo | - |
| cloaking_opengraph | Opcional Archivo | - |
| password | Opcional Cuerpo | - |
| forward_query_parameters_is_enabled | Opcional Boolean | - |
| seo_block | Opcional Boolean | - |
| utm_source | Opcional Cuerpo | - |
| utm_medium | Opcional Cuerpo | - |
| utm_campaign | Opcional Cuerpo | - |
| targeting_type | Opcional Cuerpo | continent_code, country_code, device_type, browser_language, rotation, os_name, browser_name |
| targeting_continent_code_key[index] | Opcional Cuerpo | Disponible cuando: targeting_type = continent_code |
| targeting_continent_code_value[index] | Opcional Cuerpo | Disponible cuando: targeting_type = continent_code |
| targeting_country_code_key[index] | Opcional Cuerpo | Disponible cuando: targeting_type = country_code |
| targeting_country_code_value[index] | Opcional Cuerpo | Disponible cuando: targeting_type = country_code |
| targeting_city_name_key[index] | Opcional Cuerpo | Disponible cuando: targeting_type = city_name |
| targeting_city_name_value[index] | Opcional Cuerpo | Disponible cuando: targeting_type = city_name |
| targeting_device_type_key[index] | Opcional Cuerpo | Disponible cuando: targeting_type = device_type |
| targeting_device_type_value[index] | Opcional Cuerpo | Disponible cuando: targeting_type = device_type |
| targeting_browser_language_key[index] | Opcional Cuerpo | Disponible cuando: targeting_type = browser_language |
| targeting_browser_language_value[index] | Opcional Cuerpo | Disponible cuando: targeting_type = browser_language |
| targeting_rotation_key[index] | Opcional Cuerpo | Disponible cuando: targeting_type = rotation |
| targeting_rotation_value[index] | Opcional Cuerpo | Disponible cuando: targeting_type = rotation |
| targeting_os_name_key[index] | Opcional Cuerpo | Disponible cuando: targeting_type = os_name |
| targeting_os_name_value[index] | Opcional Cuerpo | Disponible cuando: targeting_type = os_name |
| targeting_browser_name_key[index] | Opcional Cuerpo | Disponible cuando: targeting_type = browser_name |
| targeting_browser_name_value[index] | Opcional Cuerpo | Disponible cuando: targeting_type = browser_name |
| is_enabled | Opcional Boolean | - |
curl --request POST \
--url 'https://0o0.online/api/links/{link_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'is_enabled=0' \
--url 'https://0o0.online/api/links/{link_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'is_enabled=0' \
{
"data": {
"id": 1
}
}
DELETE https://0o0.online/api/links/{link_id}
curl --request DELETE \
--url 'https://0o0.online/api/links/{link_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://0o0.online/api/links/{link_id}' \
--header 'Authorization: Bearer {api_key}' \